Bug 453857 - Review Request: globus-gsi-sysconfig - Globus Toolkit - Globus GSI System Config Library
Review Request: globus-gsi-sysconfig - Globus Toolkit - Globus GSI System Con...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Sailer
Fedora Extras Quality Assurance
Depends On: gpt 453848 453850 453851 453853 453855
Blocks: globus 453858 453861 453862 453865 467239
  Show dependency treegraph
Reported: 2008-07-02 18:21 EDT by Mattias Ellert
Modified: 2009-05-13 22:52 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.2-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-05-06 19:23:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
t.sailer: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2008-07-02 18:21:01 EDT
Spec URL: http://www.grid.tsl.uu.se/repos/globus/fedora/9/info/globus-gsi-sysconfig.spec
SRPM URL: http://www.grid.tsl.uu.se/repos/globus/fedora/9/src/SRPMS/globus-gsi-sysconfig-1.22-0.1.fc9.src.rpm
Description :
The Globus Toolkit is an open source software toolkit used for
building Grid systems and applications. It is being developed by the
Globus Alliance and many others all over the world. A growing number
of projects and companies are using the Globus Toolkit to unlock the
potential of grids for their cause.

The globus-gsi-sysconfig package contains:
Globus GSI System Config Library

BuildRequires:  gpt
BuildRequires:  libtool
BuildRequires:  globus-common-devel >= 3
BuildRequires:  globus-openssl-module-devel >= 0
BuildRequires:  globus-gsi-openssl-error-devel >= 0
BuildRequires:  globus-openssl-devel >= 1
BuildRequires:  globus-core-devel >= 4
Comment 2 Mattias Ellert 2009-01-05 19:48:35 EST
This package was updated due to the renaming of the GPT package.

SRPM: http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-gsi-sysconfig-2.2-0.3.fc10.src.rpm

SPEC: http://www.grid.tsl.uu.se/repos/globus/info/globus-gsi-sysconfig.spec
Comment 3 Mattias Ellert 2009-03-15 19:59:11 EDT
New version
- Added s390x as 64 bit arch
- Added comment documenting source
- Adapt to changes in the globus-core package

Comment 4 Mattias Ellert 2009-04-17 09:44:12 EDT
Package updated due to new packaging guidelines
- Change defines to globals
- Remove explicit requires on library packages


Draft packaging guidelines for Globus packages are now available:
Comment 5 Thomas Sailer 2009-04-29 06:02:24 EDT
Sources match upstream:
$ diff -urN globus_gsi_sysconfig-2.2/ globus_gsi_sysconfig-2.2-dl/
is silent.

Scratch Build:

$ rpmlint globus-gsi-sysconfig*.rpm
globus-gsi-sysconfig-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 6 Thomas Sailer 2009-04-29 06:08:12 EDT
Fedora review globus-gsi-sysconfig-2.2-1.fc10.src.rpm 2009-04-29

+ OK
! needs attention

+ rpmlint output
  See above; the "no documentation" warning can be ignored.
+ Package is named according to Fedora Package Naming Guidelines
+ Specfile name matches the package base name
+ Package follows the Fedora packaging guidelines
+ License meets guidelines and is acceptable to Fedora
  ASL 2.0
+ License matches the actual package license
+ The package contains the license file
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm
the source repacking makes it impossible to compare md5sum's, thus:
$ diff -urN globus_gsi_sysconfig-2.2/ globus_gsi_sysconfig-2.2-dl/
reports no differences

+ Package scratch-builds
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
+ binary RPM with shared library files must call ldconfig in %post and
+ Does not use Prefix: /usr
+ Package owns all directories it creates
+ No duplicate files in %files
+ %files has %defattr
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ Consistent use of macros
+ Package must contain code or permissible content
+ Large documentation files should go in -doc subpackage
n/a Files marked %doc should not affect package
+ Header files should be in -devel
n/a Static libraries should be in -static
+ Packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
  indirectly, via R: globus-core
+ libfoo.so must go in -devel
+ -devel must require the fully versioned base
+ Packages should not contain libtool .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Packages must not own files or directories owned by other packages
+ %install begins with rm -rf $RPM_BUILD_ROOT
+ Filenames must be valid UTF-8

APPROVED by sailer.
Comment 7 Mattias Ellert 2009-04-29 06:43:03 EDT
Thank you for the review.

New Package CVS Request
Package Name: globus-gsi-sysconfig
Short Description: Globus Toolkit - Globus GSI System Config Library
Owners: ellert
Branches: F-9 F-10 F-11 EL-4 EL-5
Comment 8 Kevin Fenzi 2009-04-30 00:39:26 EDT
cvs done.
Comment 9 Mattias Ellert 2009-04-30 05:41:30 EDT
Package available in devel.
Comment 10 Fedora Update System 2009-05-04 03:28:38 EDT
globus-gsi-sysconfig-2.2-1.fc10 has been submitted as an update for Fedora 10.
Comment 11 Fedora Update System 2009-05-04 03:28:43 EDT
globus-gsi-sysconfig-2.2-1.fc9 has been submitted as an update for Fedora 9.
Comment 12 Fedora Update System 2009-05-06 19:23:31 EDT
globus-gsi-sysconfig-2.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-05-06 19:27:34 EDT
globus-gsi-sysconfig-2.2-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-05-12 18:48:27 EDT
globus-gsi-sysconfig-2.2-1.fc11 has been submitted as an update for Fedora 11.
Comment 15 Fedora Update System 2009-05-13 22:52:47 EDT
globus-gsi-sysconfig-2.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.